# Deepin DLNA Renderer

This is a fork of project [gmrender-resurrect]. We added an ouput module which uses the private APIs provided by [Deepin Movie][deepin-movie].  Thus making [Deepin Movie][deepin-movie] have the ability of acting as a DLNA compatible renderer.

## Dependencies
libupnp4 should be sufficient.

## Compile and Install
> ./autogen.sh
> ./configure --without-gstreamer
> make
> sudo make install

## How doe it work with DMovie
Install the executable to a path that included by the PATH environment, Deepin Movie will launch it and pass the necessary cmdline options like this:
> deepin-dlna-renderer -f 'Deepin Movie' --service-name='com.deepin.private.DeepinMovie_UUID'

[gmrender-resurrect]: (https://github.com/hzeller/gmrender-resurrect)
[deepin-movie]: (https://gitcafe.com/Deepin/deepin-movie)